Paquete no Valido o Dañado

Hola.

Cuando quiero instalar cualquier programa desde él Gestor de Paquetes me salta el siguiente problema "paquete no valido o dañado". No entiendo qué pasa.
No logré solucionar el problema y pasa con cualquier cosa que quiera descargar.
Desde ya muchas gracias a cualquiera que pueda ayudarme con esto.

saludos.

1 Like

Hola:

Tienes algún problema con las descargas, no se completan adecuadamente, se corta la conexión o algo similar.
Actualiza los servidores de los repositorios a ver si eso lo mejora.

Estoy iniciandome en el softwere libre ¿cómo puedo actualizar los servidores?

Muchas gracias por tu ayuda.

Intenté actualizar los paquetes con "sudo pacman -Syyu" y me salta lo siguiente "error: no se pudo realizar la operación (paquete no válido o dañado)
Ocurrieron errores, por lo que no se actualizaron los paquetes".
Ya no se que hacer.

Hola,

Primero desde el terminal, elimina los paquetes dañados:
sudo find /var/cache/pacman/pkg/ -iname "*.part" -exec rm {} \;
Luego
sudo pacman-mirrors -f5 && sudo pacman -Syyu

Si el problema persiste
sudo pacman -Sc
y luego
sudo pacman -Syyu

3 Likes

Hola, me sale una respuesta en la terminal que dice.
find: falta el argumento de `-exec'
¿tengo que poner algo entre los {}???

Muchas gracias.

El commando tiene que ser tal como esta en mi comentario.

Sí, puse copiar y pegar y me salta 'falta el argumento de `-exec ''

Ya intenté muchas cosas y nada me está funcionando,

Pues, no lo copiaste completo?

La resuesta que tengo de la terminal es la siguiente.

error: no se pudo actualizar core (no se pudo bloquear la base de datos)
error: no se pudo actualizar extra (no se pudo bloquear la base de datos)
error: no se pudo actualizar community (no se pudo bloquear la base de datos)
error: no se pudo actualizar multilib (no se pudo bloquear la base de datos)
error: no se pudo sincronizar ninguna base de datos

:confused:

En el terminal:
sudo rm /var/lib/pacman/db.lck
Y luego ejecuta lo que te ha sugerido @bogdancovaciu.

1 Like

Gracias <3
Me funcionó el segundo metodo.
Muchas gracias.

Muchas gracias, tenia un problema con el paquete de actualizacion... y me ha funcionado, ahora solo no me deja remover ni actualizar widevine de chromiun, que debo hacer?

1 Like

Gracias, tenia el mismo problema y tu solución me funciono perfectamente.
Saludos

1 Like

Gracias, me has salvado. Excelente aporte.

1 Like

This topic was automatically closed 90 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by